
import { default as Affix } from './affix';
import { default as ProTable } from './pro-table';
import { default as version } from './version';

var components = [Affix, ProTable];

var install = function install(Vue) {
  components.map(function (component) {
    Vue.use(component);
  });

  // Vue.prototype.$message = message;
  // Vue.prototype.$notification = notification;
  // Vue.prototype.$info = Modal.info;
  // Vue.prototype.$success = Modal.success;
  // Vue.prototype.$error = Modal.error;
  // Vue.prototype.$warning = Modal.warning;
  // Vue.prototype.$confirm = Modal.confirm;
  // Vue.prototype.$destroyAll = Modal.destroyAll;
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export { version, install, Affix, ProTable };

export default {
  version: version,
  install: install
};